Subject: bug#26952: 25.1; loops eating all memory while yanking big rectangle

From: [email-masked]
Date: Fri, 19 May 2017 20:24:03 -0400

found 26952 25.2
fixed 26952 26.1
quit

Francesco Potortì <[email-masked]> writes:

> $ emacs -Q -nw
>
> I find a big text file that you can download from
> <http://fly.isti.cnr.it/tmp/bigfile.txt.xz>
>
> Once decompressed, the file is 80 MB long, composed of over 600000 lines
> around 150 characters long each
>
> Then I do this:
>
> C-u 29 M-f		--> point is on the tab after "21"
> M->
> C-b
> C-u 30 SPC
> M-x kill-rectangle	--> Emacs discards the undo buffer
> C-x b aa		--> create a scratch buffer
> M-x yank-rectangle
>
> at this point, Emacs freezes and starts growing in size.  On my system,
> it started from less than 1GB vmem and grew to over 10GB when I killed
> it.  Only kill -9 succeded to kill it.

I see the issue also with 25.2, but not with master (no idea what might
have fixed it though).